
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>开始编写Golang代码 / iVAN</title>

    <meta name="description" content="开始编写Golang代码 介绍 本文主要讲述如何写一个简单的Go包和如何使用golang的工具,如何获取.编译和安装Go的包,以及如何使用go的命令. Go的工具需要将代码按照一定的方式来组织.所以请认真阅读本文. 代码的组织 workspace go工具是设计用来处理公开代码库的开源代码的,虽然你不是一定要公开你的代码,但是工作的模式是一样的. Go代码必须保存在一个workspace中.一个workspace必须要在根目录下包含三个子目录:  * src 包含了Go的源文件,这些源文件以package的方式存在  *">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">开始编写Golang代码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>介绍</h2>
<p>本文主要讲述如何写一个简单的Go包和如何使用golang的工具，如何获取、编译和安装Go的包，以及如何使用go的命令。</p>
<p>Go的工具需要将代码按照一定的方式来组织。所以请认真阅读本文。</p>
<h2>代码的组织</h2>
<h3>workspace</h3>
<p>go工具是设计用来处理公开代码库的开源代码的，虽然你不是一定要公开你的代码，但是工作的模式是一样的。</p>
<p>Go代码必须保存在一个workspace中。一个workspace必须要在根目录下包含三个子目录： <br />
* src 包含了Go的源文件，这些源文件以package的方式存在 <br />
* pkg 包含了包对象 <br />
* bin 包含了可执行文件</p>
<p>Go工具会编译源文件并把编译成的二进制文件存放在pkg和bin目录中。</p>
<p>如下是一个典型的go项目的目录：</p>
<pre><code>bin/
    hello                           # 命令可执行文件
    outyet                          # 命令可执行文件
pkg/
    linux_amd64/
        github.com/golang/example/
            stringutil.a            # 包对象
src/
    github.com/golang/example/
        .git/
        hello/
            hello.go                # 源文件
        outyet/
            main.go                 # 源文件
            main_test.go            # 测试 源文件
        stringutil/
            reverse.go              # 源文件
            reverse_test.go         # 测试 源文件</code></pre>
<p>这个workspace只包含了一个代码库（<code>example</code>），其中包含了两个包<code>hello</code>和<code>outyet</code>以及一个库<code>stringutil</code>。</p>
<p>一个典型的workspace可以包含多个代码库，以及每个库中的多个包和库。多数的Go开发者把这些都放在一个单独的workspace中。</p>
<p>包和库是从不同的源文件包中编译而成的。我们会稍后讨论这一点。</p>
<h3>GOPATH环境变量</h3>
<p><code>GOPATH</code>环境变量指定的就是你的workspace的位置。这个极可能是你开发Go项目的时候唯一的一个需要设定的环境变量。</p>
<p>开始前先创建一个workspace目录，然后在GOPATH中指定这个workspace目录的位置。你可以把GOPATH指定在任何的你喜欢的位置。 <br />
但是本文会使用$HOME/work为workspace目录的位置。<strong>注意，这个目录绝对不可以和你的go的安装目录相同</strong>。</p>
<pre><code>$ mkdir $HOME/work
$ export GOPATH=$HOME/work</code></pre>
<p>然后把workspace的bin目录添加到PATH中。</p>
<pre><code>$ export PATH=$PATH:$GOPATH/bin</code></pre>
<h3>包路径</h3>
<p>标准库的包路径都会用简写：<code>"fmt"</code>和<code>"net/http"</code>。你自己的包就需要选择一个路径了。因为，你不会希望以后和标准库的包或者其他 <br />
使用的包的名称互相冲突的。</p>
<p>如果你把你的代码保存在某代码库中，那么你应该使用这个代码库的根作为目录使用： <br /><code><br />
$ mkdir -p $GOPATH/src/github.com/user <br /></code></p>
<p>###你的第一个程序 <br />
要编译、运行你的程序，首先选择一个包路径（我们会使用<code>github.com/user/hello</code>）并在你的workspace里创建一个相应的包路径 <br /><code><br />
$ mkdir $GOPATH/src/github.com/user/hello <br /></code></p>
<p>然后，创建一个hello.go的文件。并在这个文件中添加如下的代码： <br />
“`go <br />
package main</p>
<p>import “fmt”</p>
<p>func main() { <br />
fmt.Println(“Hello, world!”) <br />
} <br />
“`</p>
<p>现在你可以编译并运行你的代码了： <br /><code><br />
go install github.com/user/hello <br /></code></p>
<p>注意你可以在你的系统的任何地方来运行这个命令。go工具可以根据<strong>GOPATH</strong>从workspace的<code>github.com/user/hello</code>找到源文件</p>
<p>上面的命令行执行之后，会在workspace的bin目录下生成一个可以自行文件，这里是hello（或者，windows下的hello.exe）。在我们的 <br />
例子中目录为：<code>$GOPATH/bin/hello</code>。</p>
<p>go工具只会在出错的时候打印输出信息。所以，如果没有打印任何信息的话那就是编译成功了。</p>
<p>现在你可以运行你的程序了： <br /><code><br />
$　$GOPATH/bin/hello <br />
Hello, world! <br /></code><br />
或者，你已经在PATH中添加了<code>GOPATH/bin</code>，只需要输入可执行文件的名字：</p>
<pre><code>$ hello
Hello, world!</code></pre>
<p>如果你使用了代码管理工具，那么这就可以初始化一个代码库了。添加文件；并commit你的第一次更改。但是，这不是一定要的，但是 <br />
你可以不用代码工具编写go代码。</p>
<pre><code>$ cd $GOPATH/src/github.com/user/hello
$ git init
Initialized empty Git respository in /home/user/work/src/github.com/user/hello/.git/
$ git add hello.go
$ git commit -m "initial commit"
[master (root-commit) 0b4507d] initial commit
 1 file changed, 1 insertion(+)
    create mode 100644 hello.go</code></pre>
<p>把代码发布到远端代码库，让其他的读者可以看到你的代码。</p>
<h3>你的第一个库</h3>
<p>接下来，我们创建一个库，然后在hello代码中使用这个库。</p>
<p>按照常理我们需要选择一个包路径（我们这里使用github.com/user/stringutil）并创建包路径</p>
<pre><code>$ mkdir $GOPATH/src/github.com/user/stringutil</code></pre>
<p>然后，穿件一个文件：<em>reverse.go</em>, 内容为：</p>
<pre><code>package stringutil

func Reverse(s string) string {
    var r = []rune(s)
    for i, j := 0, len(r)-1; i &lt; len(r)/2; i, j = i+1, j-1 {
        r[i], r[j] = r[j], r[i]
    }

    return string(r)
}</code></pre>
<p>现在，用<code>go build</code>命令测试一下代码是否能够编译。</p>
<pre><code>$ go build github.com/user/stringutil</code></pre>
<p>或者你在这个包的路径下的话只需要：</p>
<pre><code>$ go build</code></pre>
<p>这不会生成任何文件。要生成文件的话就必须要使用<code>go install</code>。执行完这个命令之后就会把这个包编译后生成在pkg目录中。 <br />
在stringutil编译之后，修改hello.go的代码：</p>
<pre><code>package main

import (
    "fmt"
    "github.com/user/stringutil"
)

func main() {
    fmt.Println(stringutil.Reverse("!oG ,olleH"))
}</code></pre>
<p>任何时候<code>go</code>工具安装一包或者一个二进制文件的时候，其相关的依赖也都会一起安装。因此，当你安装<code>hello</code>的时候：</p>
<pre><code>$ go install github.com/user/hello</code></pre>
<p><code>stringutil</code>包也会<em>自动</em>安装。</p>
<p>运行新版本的程序，你会看到一个新的，反转的消息：</p>
<pre><code>$ hello
Hello, Go!</code></pre>
<p>以上的步骤都执行完成之后，你的目录看起来是这样的：</p>
<pre><code>bin/
    hello
pkg/
    linux_amd64/
        github.com/user/
            stringutil.a
src/
    github.com/user/
        hello/
            hello.go
        stringutil/
            reverse.go</code></pre>
<p>注意<code>go install</code>把<em>stringutil.a</em>放在了<em>pkg/linux_amd64</em>目录中，并且会在<em>linux_amd64</em>下创建和源文件所在的目录相同的结构。 <br />
go工具之后的编译中如果发现pkg中已经存在这一文件，那么就不会再次编译。这样可以避免不必要的重复编译。<em>linux_amd64</em>目录是为了交叉编译 <br />
，并且反映出所在的操作系统和系统架构。</p>
<p>Go的可执行文件是静态链接的。</p>
<h3>包名称</h3>
<p>Go的源文件第一行必须是：</p>
<pre><code>package name</code></pre>
<p>包名称是import的时候使用的默认名称，同一个包中的文件必须使用同样的包名称。</p>
<p>Go的惯例是包名称是import语句的最后一个元素。<code>crypto/rot13</code>引入的包就应该命名为<code>rot13</code>. <br /><code>main</code>函数所在的包必须用<code>package main</code>作为包名称。</p>
<p>包的名称没有要求必须要唯一，但是报的整个引入路径必须要唯一。</p>
<h2>测试</h2>
<p>Go有一个轻量级的测试框架，由<code>go test</code>和<code>testing</code>包组成。</p>
<p>写一个测试只需要，创建一个_test.go结尾的文件，这个文件里包含了名称为TestXXX的方法，这些测试方法的签名为func (t *testing.T)。 <br />
测试框架会运行每一个这样的方法。如果某个测试方法调用了t.Error或者t.Fail, 那么这个测试被认为是失败的。</p>
<p>给stringutil添加一个测试。在$GOPATH/src/github.com/user/sringutil/目录创建文件reverse_test.go。这个文件包含 <br />
如下代码：</p>
<pre><code>package stringutil

import "testing"

func TestReverse(t *testing.T) {
    case := []struct {
        in, want string
    }
    {
        {"Hello, world", "dlrow ,olleH"},
        {"Hello, 世界", "界世 ,olleH"},
        {"", ""},
    }
    for _, c := range cases {
        got := Reverse(c.in)
        if got != c.want{
            t.Errorf("Reverse(%q) == %q", c.in, got, c.want)
        }
    }
}</code></pre>
<p>然后使用命令<code>go test</code>来运行测试：</p>
<pre><code>$ go test github.com/user/stringutil
PASS
ok          stringutil          2.223s  </code></pre>
<p>如果实在package内部运行命令的话，可以省去包的路径。</p>
<pre><code>$ go test
PASS
ok          stringutil          2.223s</code></pre>
<p>运行命令<code>go help test</code>可以看到更多的关于测试命令的细节。</p>
<h2>Remote packages 远端代码库</h2>
<p>一个import路径和使用Git获取远程代码的路径是一样的。go工具使用这个路径自动从远端代码库获取代码。比如，上面使用的代码 <br />
托管在GitHub的路径为：<code>github.com/golang/example</code>。如果在代码的import语句中包含了远端代码，<code>go get</code>命令会自动获取、编译 <br />
并install（安装）这些代码。</p>
<pre><code>$ go get github.com/golang/example/hello
$ $GOPATH/bin/hello
Hello, Go examples!</code></pre>
<p>如果需要的包不在workspace中，<code>go get</code>命令会把这些包放在<strong>GOPATH</strong>指定的第一个workspace中。如果包已经存在，那么<code>go get</code> <br />
命令会跳过远程获取而直接执行<code>go install</code>类似的命令。</p>
<p>在执行以上的<code>go get</code>命令之后，workspace目录看起来就是这样的：</p>
<pre><code>bin/
    hello
pkg/
    linux_amd64/
        github.com/golang/example/
            stringutil.a
        github.com/user/
            stringutil.a
src/
    github.com/golang/example/
        .git/
        hello/
            hello.a
        stringutil/
            reverse.go
            reverse_test.go
        github.com/user/
            hello/
                hello.go
            stringutil/
                reverse.go
                reverse_test.go</code></pre>
<p>GitHub上托管的hello依赖于同一个包中的<code>stringutil</code>。<code>hello.go</code>中的<code>import</code>语句使用的是一样的<strong>惯例</strong>。因此<code>go get</code>命令 <br />
可以定位并安装（install）依赖包。</p>
<pre><code>import "github.com/golang/example/stringutil</code></pre>
<p>这一惯例会让你的代码非常容易被别人使用。</p>
<h2>接下来。。。</h2>
<p><a href="https://golang.org/doc/effective_go.html" rel="external nofollow noreferrer">Effective Go</a>有更多的关于有效编写Go代码的内容。</p>
<p><a href="https://tour.golang.org/welcome/1" rel="external nofollow noreferrer">A Tour of Go</a>有更多的关于Go的知识。</p>
<h2>获取帮助</h2>
<p>到<a href="https://groups.google.com/group/golang-nuts" rel="external nofollow noreferrer">这里</a>在官方的mailing list讨论Go语言。</p>
<p>在这里<a href="https://github.com/golang/go/issues" rel="external nofollow noreferrer">Go issue tracker</a>提交bug。</p>
<p><a href="https://golang.org/doc/code.html" rel="external nofollow noreferrer">原文</a> </p>
<p>欢迎加群互相学习，共同进步。QQ群：iOS: 58099570 | Android: 330987132 | Go：217696290 | Python：336880185 | 做人要厚道，转载请注明出处！http://www.cnblogs.com/sunshine-anycall/p/4948533.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:56:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>开始编写Golang代码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRyEGb.html" rel="bookmark">jsp-JSP中编写JS代码过程中，调用了一个JSP表达式，发现一个问题，麻烦各位大神解答</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JSP中编写JS代码过程中,调用了一个JSP表达式,发现一个问题,麻烦各位大神解答 背景: 楼主使用Myelipse新建了一个Web项目,在编写一个JSP文件的时候遇到一个问题,首先是使用了img,并且写了一个事件,代码如下: &lt;imgclass=&quot;poke&quot; src=&quot;poke/back.jpg&quot; title=&quot;hit&quot; id=&quot;play_id_3&quot; onClick=&quot;change_pic()&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo3K3b.html" rel="bookmark">高效编写CSS代码&colon;WEBJX分享15个CSS开发工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:对于Web开发人员来说,好用的CSS工具可以让那些枯燥的工作变得有趣,并且还可以帮你更高效的编写CSS代码,在这里向大家推荐15个必不可少的CSS开发工具和应用. 对于Web开发人员来说,好用的CSS工具可以让那些枯燥的工作变得有趣,并且还可以帮你更高效的编写CSS代码,在这里向大家推荐15个必不可少的CSS开发工具和应用. 1. CSS Desk : An online CSS Sandbox 这是一个支持即时预览的在线CSS编辑工具,无需安装任何形式的插件或是软件,就能在线编辑CS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVJKBz.html" rel="bookmark">编写PHP代码总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1- 编写模块化代码  良好的PHP代码应该是模块化代码.PHP的面向对象的编程功能是一些特别强大的工 具,可以把你的应用程序分解成函数或方法.你应该尽可能多的从你的应用程序的服务器端分开前端的HTML/CSS/JavaScript代码.你也可以在 任何PHP框架上遵循MVC(模型-视图-控制器)模式.  2- 代码编写规范 良好的PHP代码应该有一套完整的代码编写规范.通过对变量和函数的命名,统一的方法访问数据库和对错误的处理,以及同样的代码缩进方式等来达到编程规范,这样可以使你的代码更具			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWelXz.html" rel="bookmark">在windows 2003 server中编写asp代码需要注意的地方</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|window 在windows 2003 server中编写asp代码,你可能会碰到下面的错误提示&quot;不允许的父路径&quot;,涉及到的代码有: Server.MapPath(../)&lt;!--#include file=&quot;../&quot;--&gt; 等.可能是出于安全考虑吧,微软屏蔽了脚本中对父路径的访问,但这可能会给我们的编程带来麻烦,尤其是原有asp的代码升级的时候.幸好,这个设置是可以关闭的,具体在下面这个地方IIS管理器中,在你的虚拟路径上点右键,属性,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeYEAz.html" rel="bookmark">优质编写网页代码 有利于搜索引擎</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网页代码的编写是否简洁和具有逻辑性也是评估搜索引擎优化工作的一个重要指标.       一.遵循WEB标准       建议广大网页设计师遵循国际互联网标准组织(W3C)所推荐的WEB标准来编写网页源码,而不是继续沿用传统的TABLE表格布局方式来制作网页.       Web标准是一些规范的集合,是由W3C和其他的标准化组织共同制定的,用它来创建和解释网页的基本内容.这些规范是专门为了那些在网上发布的可向后兼容的文档所设计的,使其能够被大多数人所访问.       遵循WEB标准来编写网页,可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNed7b.html" rel="bookmark">PHP实例说明编写PHP代码的5个好习惯</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				5个PHP编程的好习惯 有些人问,优秀程序员和大牛有什么区别,大概有10到20种吧.因为大牛有很好的编程习惯和丰富的经验,所以他们非常的高效.如果不好的编程习惯出现在你的代码里,你的代码效率就会降低.本文阐述一些好的编程习惯,他们可以让你成为更好的程序员. 这些习惯能让你的代码在高效运行的同时提高可维护性.你写代码的时候,可能大部分时间都浪费在维护上了,程序的维护代价很高.培养良好的编程习惯,如模块化设计,可以让你的代码可读性更好,从而容易维护. 代码中的问题往往伴随着不良的编程习惯,而且后者会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8nl9b.html" rel="bookmark">在&period;NET下编写中文代码程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|中文 在.NET下编写中文代码程序 郑佐2005-3-9 一年前,有一次在用Access数据库编程的时候,通过VS.NET数据设计器向导生成数据层代码,查看生成的代码,发现有许多中文,原来数据库中的表名和字段名用的就是中文,程序正常运行,查看相关文档才知道原来VS.NET默认的编码是UTF-8.不久前在一篇blog上看到讲易语言,所以干脆用VS.NET写一些中文代码来玩一下,结果就像平常写程序一样没有什么区别. 有点怪怪的味道,故把代码贴出来. using System; namespac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA9WBb.html" rel="bookmark">Dreamweaver教程-在 Dreamweaver 中编写 HTML 代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 1.启动 Dreamweaver CS5 2.点击左上角的&quot;文件&quot;&gt; &quot;新建&quot;. 3.在&quot;新建文档&quot;界面选择&quot;空白页&quot;. 4.&quot;页面类型&quot;选择&quot;HTML&quot;,&quot;布局&quot;选择&quot;&lt;无&gt;&quot;.然后单击&quot;创建&quot;按钮.   在Dreamweaver中打开新文档窗口.切换到 &quot;代码&quot;或者&quot;拆分&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7NadM.html" rel="bookmark">编写asp代码截取字符串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  编写asp代码截取字符串: '函数名:SubstZFC '作 用:截字符串,汉字一个算两个字符,英文算一个字符 '参 数:str ----原字符串 ' strlen ----截取长度 '返回值:截取后的字符串 '适用:标题截取指定字符,如果用LEFT截取,当有英文时就会出现取出来的标题明显太短. '************************************************** Public Function SubstZFC(ByVal str, ByVal strle			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKE0Ep.html" rel="bookmark" class="title">不用WinRar将网络空间上的文件打包下载</a>
					<div>
						winrar|打包|网络|下载 此方法,不建议压缩,大文件, 一般的小文件压几个还很好用的 &lt;%@ Language=VBScript %&gt;&lt;% Option Explicit %& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVVZlz.html" rel="bookmark" class="title">深入浅出SQL之左连接、右连接和全连接</a>
					<div>
						內连接仅选出两张表中互相匹配的记录．因此,这会导致有时我们需要的记录没有包含进来. 为更好的理解这个概念,我们介绍两个表作演示.苏格兰议会中的政党表(party)和议员表(msp). party(Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4KyYp.html" rel="bookmark" class="title">asp自动生成&amp;amp&semi;&num;106avascript检验函数</a>
					<div>
						函数 &lt;!--#include file=&quot;strcheck.asp&quot;--&gt;&lt;%'笔者在写程序的过程中要用'for i=1 to n 'Response.Writ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjOq6p.html" rel="bookmark" class="title">用PS合成超酷的汽车网站首页</a>
					<div>
						  最终效果: 图01 一.教程详情: 图02 二.创意思路指导: 图03 图04 三.制作步骤分解: 图05 1.首先新建一个1440 * 850的画布.把导航放进去,然后放上图1地面. 图06 图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxW50b.html" rel="bookmark" class="title">如何在Excel里绘制斜线表头</a>
					<div>
						  1.点击需要绘制斜线表头的单元格,右键进入&quot;设置单元格格式&quot;. 2.进入设置单元格格式后点击&quot;边框&quot;,然后我们就可以对单元格的边框进行相关的设置啦. 3.设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa849M.html" rel="bookmark" class="title">口袋书屋不能用怎么办</a>
					<div>
						  口袋书屋打不开提示:A security monitoring product is interfering with the proper operation of this applicati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj3PQb.html" rel="bookmark" class="title">不知道怎么了&comma;控件没属性了</a>
					<div>
						问题描述 用ASP.NET做管理系统,运行了一次后,控件点属性都是一片空白但是代码都在,再运行的话还可以,就是点控件没属性``请高手指点 解决方案 解决方案二:你重新告以下啊 我们私下里交流啊解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8XNRb.html" rel="bookmark" class="title">xampp 服务打不开-xampp 启动之后apache等服务启动不了</a>
					<div>
						问题描述 xampp 启动之后apache等服务启动不了 里面的服务打不开,比如mysql和apache感谢各位大神指导 解决方案 Apache 服务启动不了XAMPP Apache启动报错的解决方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxox1Ob.html" rel="bookmark" class="title">windows-如何在 &period;NET 中使用 Windows Azure Blob 存储服务</a>
					<div>
						问题描述 如何在 .NET 中使用 Windows Azure Blob 存储服务 如何在 .NET 中使用 Windows Azure Blob 存储服务 解决方案 您好, 首先,您需要在您的电脑上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrkP6M.html" rel="bookmark" class="title">移动机器人避障传感技术浅析</a>
					<div>
						移动机器人是机器人的重要研究领域,人们很早就开始移动机器人的研究.世界上第一台真正意义上的移动机器人是斯坦福研究院(SRI)的人工智能中心于1966年到1972年研制的,名叫Shakey,它装备了电视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXqgyz.html" rel="bookmark" class="title">ExtJs性能优化求指导</a>
					<div>
						问题描述 现在再做一个网站项目要用到Extjs4.2客户对页面加载速度有意见需要以下几点资料希望各位大神指导指导1.Extjs4的功能定制,比如我整个网站都没有用到tree就不把这个组建加入到ext_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rVV7z.html" rel="bookmark" class="title">aspnet-ASP&period;NET链接数据库时出现这个，我还需要添加什么吗？</a>
					<div>
						问题描述 ASP.NET链接数据库时出现这个,我还需要添加什么吗? ASP.NET链接数据库时出现这个,我还需要添加什么吗? 解决方案 好像是缺少引用实体类,using system.Model 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZjKJM.html" rel="bookmark" class="title">JDNI</a>
					<div>
						JNDI是为了一个最最核心的问题:是为了解耦,是为了开发出更加可维护.可扩展的系统JNDI和JDBC起的作用类似:JDBC(Java Data Base Connectivity,java数据库连接) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBEVBz.html" rel="bookmark" class="title">英特尔新款至强7500处理器多路x86服务器应用现状</a>
					<div>
						最近,多路x86服务器颇有看点.随着英特尔新款至强处理器7500(代号Nehalem-EX)的上市,各服务器厂商也陆续跟进,推出了新一代基于x86架构的多路服务器,例如IBM x3850 X5.惠普的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22a63b.html" rel="bookmark" class="title">PostgreSQL 10&period;0 preview 安全增强 - 任意wal副本数，金融级高可用与可靠性并存需求</a>
					<div>
						标签 PostgreSQL , 流复制 , 同步流复制 , 任意副本 背景 PostgreSQL很多年前就开始支持同步流复制,支持配置多个standby,当sync node异常时,potention ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx034GM.html" rel="bookmark" class="title">c-51单片机提示总线逻辑冲突</a>
					<div>
						问题描述 51单片机提示总线逻辑冲突 一个51单片机初学者,.我把液晶显示1602和AD转换器都联在P1口,c51编译提示逻辑冲突,请老师们答疑.谢谢你们.我刚买的完全手册才找到这个网站,没有金币.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwr7NM.html" rel="bookmark" class="title">微信支付开发&lpar;7&rpar; H5支付</a>
					<div>
						关键字:微信支付 微信支付v3 H5支付 wap支付 prepay_id 作者:方倍工作室原文: http://www.cnblogs.com/txw1958/p/wxpayv3_h5.html    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgDnWM.html" rel="bookmark" class="title">ERP系统BETA测试攻略</a>
					<div>
						关于ERP,关于BETA测试理论性的文章太多了,看多了就是两种结果,经历过的只当看过了,没经历过的还是不知道怎么做.最近产品要发版了,准备开展BETA测试,10余家的BETA测试项目,无奈新人太多,怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R1aRz.html" rel="bookmark" class="title">2014年是虚拟现实蓄势待发的一年</a>
					<div>
						摘要: 近日风投公司Rothenberg Ventures推出了世界上第一个专门针对虚拟现实创业者们的孵化器River,目前已开放申请. 2014年是虚拟现实蓄势待发的一年,各大公司都在行动.3月,F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqqgZp.html" rel="bookmark" class="title">目标关键词钱建行一天关键词排第一</a>
					<div>
						我从了解seo和 到soewhy培训学习seo加起来也就10天左右(第七天的时候还发现一个百度算法漏洞 嘿嘿),完全是零建站教程教程基础,seo更是零基础了.夫唯老师人非常做事很真诚,对我很好,还给我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Jxdb.html" rel="bookmark" class="title">IFrame跨域高度自适应实现代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: var iframeids = ['memberIndexIframe','inquiryCenterIframe','everychinaBbsIframe']; var if ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1No2Kp.html" rel="bookmark" class="title">怎么解决啊-java was started but returned exit code&equals;1</a>
					<div>
						问题描述 java was started but returned exit code=1 myeclipse 自动退出,为什么会这样,怎么解决,我的系统是win7 64位,用的jdk也是64位 m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvXvdM.html" rel="bookmark" class="title">4000余台ElasticSearch服务器遭PoS恶意软件感染</a>
					<div>
						Kromtech安全中心发现ElasticSearch服务器上4000多个实例遭遇两款PoS恶意软件感染:AlinaPOS和JackPOS. 研究人员上周常规扫描时发现这些暴露的ElasticSear ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GrPAp.html" rel="bookmark" class="title">SSH配置如何利用hibernateTemplate&period;update&lpar;&rpar;高效更新数据</a>
					<div>
						问题描述 我的SSH配置是用beans+struts省去hibernate.cfg.xml配置如下:&lt;beanclass=&quot;org.springframework.beans.fact ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByykAz.html" rel="bookmark" class="title">中南传媒今上市猎获基金芳心</a>
					<div>
						传媒行业新龙头今日上市! 就在华策影视&quot;闪亮&quot;登场两天后,传媒娱乐板块又将添&quot;新丁&quot;--中南传媒(601098),作为当前上市传媒类公司中业务最全,收入规模最大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXmyLz.html" rel="bookmark" class="title">中奖短信骗走女大学生34万元</a>
					<div>
						据新华社昆明6月25日电 (记者 李倩 周新宇)近日昆明市呈贡县公安局成功侦破一起重大电话诈骗案,抓获犯罪嫌疑人两名,为在校大学生追回全部被骗钱财34万余元. 5月14日中午,呈贡大学园区在校女大学生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1dKvM.html" rel="bookmark" class="title">保障移动安全 企业先要学会管控移动证书</a>
					<div>
						根据Ponemon研究所的最新报告显示,移动证书使用很难验证SSL和TLS.为什么这么难检测到异常移动证书使用呢?是否有最佳做法可确保在移动设备上正确使用证书? Ponemon研究所发布的&lt;20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWZg9z.html" rel="bookmark" class="title">2015 年软件自由奖授予了 Library Freedom 项目和 Werner Koch</a>
					<div>
						自由软件基金会宣布了2015年的软件自由奖得主:Library Freedom 项目获 得了社会公益项目奖,加密软件GnuPG的维护者Werner Koch被授予了自由软件推动奖.Library Fr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLJmgZb.html" rel="bookmark" class="title">六一儿童节，看看互联网大佬们的童年怎么过</a>
					<div>
						今天是六一儿童节!祝天下所有的孩子们节日快乐!童心没有年轮,它属于每个热爱生活的人:童年让我们远离浮华,坦坦荡荡.那知名的企业家大佬的童年是怎样度过的?又有着怎样的故事? 马云儿时挨骂就用英语骂回,喜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw5gQdM.html" rel="bookmark" class="title">创业，别拿商标不当回事儿！</a>
					<div>
						身为创业公司,你肯定不愿意碰到下面的场景: 我们的品牌在行业内颇有知名度,我要开始注册商标啦!--什么?!已被第三方注册商标了? 产品用户数突破100万!--什么?!收到了律师函,说我们侵犯了商标专用 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.039 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
